OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.FlushBufferRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEFlushBufferRange :: MonadIO m => m Bool
- gl_APPLE_flush_buffer_range :: Bool
- pattern GL_BUFFER_FLUSHING_UNMAP_APPLE :: GLenum
- pattern GL_BUFFER_SERIALIZED_MODIFY_APPLE :: GLenum
- glBufferParameteriAPPLE :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glFlushMappedBufferRangeAPPLE :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> m ()

# Extension Support

glGetAPPLEFlushBufferRange :: MonadIO m => m Bool Source #

Is the APPLE_flush_buffer_range extension supported?

gl_APPLE_flush_buffer_range :: Bool Source #

Is the APPLE_flush_buffer_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEFlushBufferRange` in those cases instead.

# Enums

pattern GL_BUFFER_FLUSHING_UNMAP_APPLE :: GLenum Source #

pattern GL_BUFFER_SERIALIZED_MODIFY_APPLE :: GLenum Source #

# Functions

glBufferParameteriAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |

glFlushMappedBufferRangeAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

This command is an alias for `glFlushMappedBufferRange`.